# Monitor Docker configuration & command files
-w /usr/bin/docker -p wa -k docker
-w /etc/docker -p wa -k docker-config

# Monitor Kubernetes configuration files
-w /etc/kubernetes/ -p wa -k kubernetes-config

# Monitor container runtime configurations (containerd and CRI-O)
-w /etc/containerd/config.toml -p wa -k containerd-config
-w /etc/crio/crio.conf -p wa -k crio-config

# Monitor container activity
#-a always,exit -F arch=b64 -S clone,fork,vfork,execve -k container-activity

# Monitor network namespace changes (relevant for containers)
-a always,exit -F arch=b64 -S setns,unshare -F a0=0x4026532491 -k network-namespace

# Monitor container images
-w /var/lib/docker/images/ -p wa -k container-images

# Monitor Kubernetes binaries
-w /usr/local/bin/kubectl -p wa -k kubectl-activity
-w /usr/local/bin/kubelet -p wa -k kubelet-activity

# Monitor critical system binaries for changes
-w /usr/sbin/ -p wa -k critical-binaries
-w /sbin/ -p wa -k critical-binaries
